SystemOrganization addCategory: #'Parasol-Squeak'!

BPPlatform subclass: #BPSqueakPlatform
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Parasol-Squeak'!

!BPSqueakPlatform class methodsFor: 'class initialization' stamp: 'StephanEggermont 10/1/2012 15:05'!
initialize
	"
	self initialize
	"
	| p |
	p := self new.
	BPPlatform add: p.
	BPPlatform setCurrent: p name! !

!BPSqueakPlatform methodsFor: 'as yet unclassified' stamp: 'topa 4/3/2013 16:55'!
data: jsonData

	^ jsonData! !

!BPSqueakPlatform methodsFor: 'testing' stamp: 'topa 4/3/2013 15:55'!
httpClientClass
	^ WebClient ! !

!BPSqueakPlatform methodsFor: 'performing' stamp: 'topa 4/3/2013 16:44'!
httpDelete: url

	^ WebClient httpDelete: url asString

	! !

!BPSqueakPlatform methodsFor: 'testing' stamp: 'StephanEggermont 10/1/2012 15:04'!
httpEntityClass
	^ZnEntity! !

!BPSqueakPlatform methodsFor: 'performing' stamp: 'topa 4/3/2013 16:44'!
httpGet: url

	^ WebClient httpGet: url asString

	! !

!BPSqueakPlatform methodsFor: 'performing' stamp: 'topa 4/3/2013 17:17'!
httpPost: url data: data

	^ WebClient httpPost: url asString content: data type: 
		(self mimeTypeClass applicationJson greaseString)

	! !

!BPSqueakPlatform methodsFor: 'performing' stamp: 'topa 4/3/2013 16:56'!
httpPost: url data: data timeout: seconds

	^ WebClient httpDo: [:client | 
		client 
			timeout: seconds;
			httpPost: url asString content: data type: 
				(self mimeTypeClass applicationJson greaseString)]
		
	! !

!BPSqueakPlatform methodsFor: 'testing' stamp: 'topa 4/3/2013 16:28'!
mimeTypeClass
	^WAMimeType! !

!BPSqueakPlatform methodsFor: 'testing' stamp: 'topa 4/3/2013 16:02'!
name
	^'Squeak'! !

!BPSqueakPlatform methodsFor: 'testing' stamp: 'topa 4/3/2013 17:23'!
port
	| adaptors |
	adaptors := WAAdmin serverAdaptors .
	^ adaptors isEmpty 
		ifTrue: [8080] 	" lets hardcode.. "
		ifFalse: [adaptors first port]! !

!BPSqueakPlatform methodsFor: 'testing' stamp: 'topa 4/3/2013 17:37'!
responseHasContent: aResponse

	^ aResponse code ~= 204! !

!BPSqueakPlatform methodsFor: 'as yet unclassified' stamp: 'topa 4/3/2013 17:17'!
sessionIdFromResponse: aResponse

	^ (self urlFor: (aResponse headerAt: 'Location')) path last
! !

!BPSqueakPlatform methodsFor: 'testing' stamp: 'topa 4/3/2013 16:27'!
urlClass
	^ WAUrl! !

!BPSqueakPlatform methodsFor: 'testing' stamp: 'topa 4/3/2013 16:28'!
urlFor: aString
	^ aString seasideUrl! !

!WAUrl methodsFor: '*parasol-squeak' stamp: 'topa 4/3/2013 16:31'!
addPathSegment: aString

	self addToPath: aString! !

!WAUrl methodsFor: '*parasol-squeak' stamp: 'topa 4/3/2013 16:33'!
query: anObject

	self queryFields: anObject.	! !

!WAUrl methodsFor: '*parasol-squeak' stamp: 'topa 4/3/2013 16:32'!
segments: aCollection

	self path: aCollection! !

!WebResponse methodsFor: '*parasol-squeak' stamp: 'topa 4/3/2013 17:33'!
contents

	^ self content! !
BPSqueakPlatform initialize!
